<?php
	include "../../conn.php";
			
	header('Content-Type: application/json; charset=utf-8');
	header('Strict-Transport-Security: max-age=31536000');
	header('Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept, Authorization');
	header('Access-Control-Allow-Credentials: true');
	$origin = isset($_SERVER['HTTP_ORIGIN']) ? $_SERVER['HTTP_ORIGIN'] : '';
	header('Access-Control-Allow-Origin: ' . $origin);
	header('vary: Origin');
	
	date_default_timezone_set("Asia/Kolkata");
	$shnunc = date("Y-m-d H:i:s");
	$res = [
		'code' => 11,
		'msg' => 'Method not allowed',
		'msgCode' => 12,
		'serviceNowTime' => $shnunc,
	];
	$shonubody = file_get_contents("php://input");
	$shonupost = json_decode($shonubody, true);
	if ($_SERVER['REQUEST_METHOD'] != 'GET') {		
		if (isset($shonupost['language']) && isset($shonupost['random']) && isset($shonupost['signature']) && isset($shonupost['timestamp'])) {
			$language = htmlspecialchars(mysqli_real_escape_string($conn, $shonupost['language']));
			$random = htmlspecialchars(mysqli_real_escape_string($conn, $shonupost['random']));
			$signature = htmlspecialchars(mysqli_real_escape_string($conn, $shonupost['signature']));
			$shonustr = '{"language":'.$language.',"random":"'.$random.'"}';
			$shonusign = strtoupper(md5($shonustr));
			if($shonusign == $signature){
				$data = [
					[ 'url' => '', 'bannerUrl' => 'https://bdgwin11.info/images/banner/avaitor.jpg' ],
					[ 'url' => 'https://bdgwin11.info/#/main/InvitationBonus', 'bannerUrl' => 'https://bdgwin11.info/images/banner/3patti.jpg' ],
					[ 'url' => 'https://bdgwin11.info/#/main/InvitationBonus', 'bannerUrl' => 'https://bdgwin11.info/images/banner/3patti.jpg' ],
					[ 'url' => '', 'bannerUrl' => 'https://bdgwin11.info/images/banner/calander.jpg' ],
					[ 'url' => 'https://bdgwin11.info/#/activity/DailySignIn/Rules', 'bannerUrl' => 'https://bdgwin11.info/images/banner/bonous.jpg' ],
					[ 'url' => '', 'bannerUrl' => 'https://bdgwin11.info/images/banner/3patti.jpg' ],
					[ 'url' => 'https://bdgwin11.info/#/activity/DailyTasks', 'bannerUrl' => 'https://bdgwin11.info/images/banner/slot.jpg' ],
					[ 'url' => 'https://bdgwin11.info/#/activity/Turntable', 'bannerUrl' => 'https://bdgwin11.info/images/banner/money.jpg' ],
					[ 'url' => '', 'bannerUrl' => 'https://bdgwin11.info/images/banner/casino.jpg' ],
					[ 'url' => '', 'bannerUrl' => 'https://bdgwin11.info/images/banner/casino.jpg' ],
					[ 'url' => '', 'bannerUrl' => 'https://bdgwin11.info/images/banner/slot2.jpg' ]
				];
				
				$res['data'] = $data;
				$res['code'] = 0;
				$res['msg'] = 'Succeed';
				$res['msgCode'] = 0;
				http_response_code(200);
				echo json_encode($res);
			}
			else{
				$res['code'] = 5;
				$res['msg'] = 'Wrong signature';
				$res['msgCode'] = 3;
				http_response_code(200);
				echo json_encode($res);
			}
		}
		else{
			$res['code'] = 7;
			$res['msg'] = 'Param is Invalid';
			$res['msgCode'] = 6;
			http_response_code(200);
			echo json_encode($res);
		}		
	} else {		
		http_response_code(405);
		echo json_encode($res);
	}
?>
